using Newtonsoft.Json;
using UnityEngine;

public sealed class SpaceStantionData
{
    [JsonProperty("p"), JsonConverter(typeof(Vector3Converter))]
    public Vector3 Position;
    [JsonProperty("r"), JsonConverter(typeof(QuaternionConverter))]
    public Quaternion Rotation;
    [JsonProperty("id")]
    public string Id;
    [JsonProperty("n")]
    public string Name;
}
